pbs_orderjob(3B)

NAME
pbs_orderjob - reorder pbs batch jobs in a queue

SYNOPSIS
#include <pbs_error.h>
#include <pbs_ifl.h>

int pbs_orderjob(int connect, char *job_id1, char *job_id2,
char *extend)

DESCRIPTION
Issue a batch request to swap the order of two jobs with a single queue.

An Order Job batch request is generated and sent to the server over the connection specified by which is the return value of pbs_connect().

The parameters and identify which jobs are to be swapped. They are specified in the form:

The parameter, is reserved for implementation defined extensions.

SEE ALSO
qorder(1B), qmove(1B), qsub(1M), and pbs_connect(3B)

DIAGNOSTICS
When the batch request generated by pbs_orderjob() function has been completed successfully by a batch server, the routine will return 0 (zero). Otherwise, a non zero error is returned. The error number is also set in pbs_errno.